Take the 2-minute tour ×
Geographic Information Systems Stack Exchange is a question and answer site for cartographers, geographers and GIS professionals. It's 100% free, no registration required.

I am very new to SAGA-GIS, but I recently developed a workflow using SAGA for processing LiDAR data. Now I need to batch the process using Python. I installed SAGA from the Windows installer and I already have GDAL and other open source packages installed as well.

When I create a python script for a module using the SAGA GUI (right-click on module), my Python installation (Python 2.6 installed with ArcGIS 10.0) does not recognize the module called saga_api. I found saga_api.dll in my SAGA install directory, but not saga_api.py.

All the instructions I have found for installing the SAGA Python Bindings require compiling SAGA from source, but I would rather not mess with that since I already have it installed an working. Not to mention, I worry that compiling all the dependencies, like gdal, will break the installations of those packages I already have installed.

Can anyone offer any insight?

share|improve this question
add comment

1 Answer

I am aware that the question is one year old and talks about Windows. I ended up on this page when trying to install the SAGA GIS bindings on Linux and thought other people might as well, so I document what you have to do.

On Ubuntu you simply go

sudo apt-get install saga (if saga is not yet installed)
sudo apt-get install python-saga

The SAGA bindings depend on python2 (in my case they work with python2.7)

$ python2.7
Python 2.7.4 (default, Apr 19 2013, 18:28:01) 
[GCC 4.7.3] on linux2
Type "help", "copyright", "credits" or "license" for more information.
>>> import saga_api
share|improve this answer
    
no offence, but i think the OP wanted to achieve this on Windows and not linux based systems. I think furthermore every user of a debian-based distribution knows how to use a package manager :) –  Curlew Dec 12 '13 at 20:24
1  
No offence taken. I acknowledged the fact that the original questions is about windows in my post in the first line. A post like this would have helped me this morning (because I had a hard time finding helpful information on the SAGA documentation page) so I thought others might have the same need. –  Markus M. Dec 12 '13 at 20:35
add comment

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.